//
//  AutonomousCompanyHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/4/26.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "AutonomousCompanyHttpPostCmd.h"
#import "AutonomousCompanyHttpPostResult.h"

static NSString *kActionUrl1 = @"/company/checkCompanyNum";

@implementation AutonomousCompanyHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[AutonomousCompanyHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[AutonomousCompanyHttpPostResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_dbName = @"dbName";
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_start = @"start";
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_userid = @"userid";
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_companyname = @"companyname";
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_empid = @"empid";
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_sysname = @"sysname";
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_length = @"length";
 NSString * _Nonnull const kHttpAutonomousCompanyHttpPostCmd_attr = @"attr";
